# arm_linear_interp_instance_f32 Struct Reference

Instance structure for the floating-point Linear Interpolate function. More...

`#include <arm_math.h>`

## Data Fields

uint32_t | nValues
float32_t | x1
float32_t | xSpacing
float32_t * | pYData

## Detailed Description

Instance structure for the floating-point Linear Interpolate function.

Examples:

  arm_linear_interp_example_f32.c.

Definition at line 1771 of file arm_math.h.

## Field Documentation

uint32_t arm_linear_interp_instance_f32::nValues

Definition at line 1773 of file arm_math.h.

float32_t arm_linear_interp_instance_f32::x1

Definition at line 1774 of file arm_math.h.

float32_t arm_linear_interp_instance_f32::xSpacing

Definition at line 1775 of file arm_math.h.

float32_t* arm_linear_interp_instance_f32::pYData

pointer to the table of Y values

Definition at line 1776 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines